Skip to main content
PATCH
/
api
/
v2
/
autorebates
/
clients
Adds and removes clients from the specific rebate group.
curl --request PATCH \
  --url https://my.exnessaffiliates.com/api/v2/autorebates/clients/ \
  --header 'Content-Type: application/json' \
  --data '
{
  "ordering": "<string>",
  "limit": 123,
  "offset": 123,
  "client_account_type": [
    "<string>"
  ],
  "partner_account": [
    "<string>"
  ],
  "partner_code": [
    "<string>"
  ],
  "group_id": [
    "<string>"
  ],
  "country": [
    "<string>"
  ],
  "client_account": [
    "<string>"
  ],
  "destination_client_account": [
    "<string>"
  ],
  "client_uid": [
    "<string>"
  ],
  "date_from": "<string>",
  "date_to": "<string>"
}
'
{
  "data": [
    {
      "id": "int",
      "client_uid": "string",
      "partner_account": "string",
      "client_account": "string",
      "group_id": "int",
      "volume_lots": "number",
      "volume_usd": "number",
      "reward": "number",
      "reward_usd": "number",
      "processed_rebate": "number",
      "processed_rebate_usd": "number",
      "rebate_percent": "number",
      "rebate_group_percent": "int",
      "group_title": "string",
      "client_account_type": "string",
      "country": "string",
      "partner_currency": "string",
      "partner_code": "string",
      "reg_date": "date",
      "destination_client_account": "string",
      "rebate_size": {
        "min": "number",
        "max": "number"
      }
    }
  ],
  "totals": {
    "count": "int",
    "group_title": "string",
    "assign_clients_count": "int"
  }
}

Documentation Index

Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer

pagination

offset
integer

pagination

client_account_type
string[]

filter

partner_account
string[]

filter

partner_code
string[]

filter

group_id
string[]

filter

country
string[]

filter

client_account
string[]

filter

destination_client_account
string[]

filter

client_uid
string[]

filter

date_from
string

filter, registration date from

date_to
string

filter, registration date to

ordering
string

ordering, Comma-separated list without spaces. Supported field names: partner_uid, group_title, group_type, clients_count, created, is_default, group_name, client_account_type, destination_client_account, partner_account, partner_code, client_account, client_uid, reg_date, rebate_percent, volume_lots, volume_usd, reward_usd, processed_rebate_usd, country, rebate_size

Body

application/json
ordering
string

Comma-separated list without spaces. Supported field names: partner_uid, group_title, group_type, clients_count, created, is_default, group_name, client_account_type, destination_client_account, partner_account, partner_code, client_account, client_uid, reg_date, rebate_percent, volume_lots, volume_usd, reward_usd, processed_rebate_usd, country, rebate_size

limit
integer
offset
integer
client_account_type
string[]
partner_account
string[]
partner_code
string[]
group_id
string[]
country
string[]
client_account
string[]
destination_client_account
string[]
client_uid
string[]
date_from
string

registration date from

date_to
string

registration date to

Response

OK

data
object[]
required
Example:
[
{
"id": "int",
"client_uid": "string",
"partner_account": "string",
"client_account": "string",
"group_id": "int",
"volume_lots": "number",
"volume_usd": "number",
"reward": "number",
"reward_usd": "number",
"processed_rebate": "number",
"processed_rebate_usd": "number",
"rebate_percent": "number",
"rebate_group_percent": "int",
"group_title": "string",
"client_account_type": "string",
"country": "string",
"partner_currency": "string",
"partner_code": "string",
"reg_date": "date",
"destination_client_account": "string",
"rebate_size": { "min": "number", "max": "number" }
}
]
totals
object
required